Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.uicreator.client
Class ClientType

    java.lang.Object
      tle.framework.component.impl.uicreator.client.ClientType

    public class ClientType

extends java.lang.Object

HTTP 요청 헤더의 User-Agent값을 분석하여 웹 브라우저의 종류를 리턴한다.

Since:
  2.0
Author:
  최범균

Field Summary
`static java.lang.String` | `LYNX` Lynx
`static java.lang.String` | `MOZILLA`
`static java.lang.String` | `MSIE` MS IE
`static java.lang.String` | `MSIE_WINCE` 윈CE의 MSIE
`static java.lang.String` | `MSIE_WINCE_PPC` 포켓PC의 MSIE
`static java.lang.String` | `MSIE_WINCE_PPC_240X320` 포켓PC 240X320 사이트의 MSIE
`static java.lang.String` | `NETSCAPE` Netsacpe

Constructor Summary
`ClientType()`

Method Summary
`static java.lang.String` | `getClientType(HttpServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MOZILLA

    public static final java.lang.String MOZILLA

See Also:
  Constant Field Values

### MSIE

    public static final java.lang.String MSIE

  MS IE

  See Also:
    Constant Field Values

### NETSCAPE

    public static final java.lang.String NETSCAPE

  Netsacpe

  See Also:
    Constant Field Values

### LYNX

    public static final java.lang.String LYNX

  Lynx

  See Also:
    Constant Field Values

### MSIE_WINCE

    public static final java.lang.String MSIE_WINCE

  윈CE의 MSIE

  See Also:
    Constant Field Values

### MSIE_WINCE_PPC

    public static final java.lang.String MSIE_WINCE_PPC

  포켓PC의 MSIE

  See Also:
    Constant Field Values

### MSIE_WINCE_PPC_240X320

    public static final java.lang.String MSIE_WINCE_PPC_240X320

  포켓PC 240X320 사이트의 MSIE

  See Also:
    Constant Field Values

Constructor Detail

### ClientType

    public ClientType()

Method Detail

### getClientType

    public static java.lang.String getClientType(HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD